Name:		nml
Summary:	A tool to compile nml files to grf or nfo files
Version:	0.2.4
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphics/Utilities
Url:		http://dev.openttdcoop.org/projects/nml
Source0:	http://bundles.openttdcoop.org/nml/releases/LATEST/%{name}-%{version}.src.tar.gz
Patch0:		nml-0.2.4-python-pillow.support
BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:	python-ply
Requires:	python-imaging

%description
A tool to compile nml files to grf and/or nfo files.

NML is a meta-language that aims to be a lot simpler to learn and use than nfo.

%prep
%setup -q
%apply_patches

%build
python setup.py build

%install
python setup.py install \
	--root %{buildroot} \
	--prefix %{_prefix}

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#man pages
install -Dpm644 docs/nmlc.1 %{buildroot}%{_mandir}/man1/nmlc.1

#unpackaged files
rm -rf docs/nmlc.1
rm -rf %{buildroot}%{python_sitelib}/{easy-install.pth,site.py}

%files
%doc docs/* examples/
%{_bindir}/nmlc
%{_mandir}/man1/nmlc.1.*
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info/
%{python_sitelib}/%{name}/


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.2.4-5.mga4
+ Revision: 542896
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.4-4.mga4
+ Revision: 497962
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 19 2013 wally <wally> 0.2.4-3.mga4
+ Revision: 467594
- add patch to add python-pillow support (from Fedora)
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 361037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Nov 02 2012 wally <wally> 0.2.4-1.mga3
+ Revision: 312650
- fix RPM group
- new version 0.2.4

* Mon Feb 27 2012 zezinho <zezinho> 0.2.3-1.mga2
+ Revision: 215574
- new version

* Sat Dec 31 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 189255
- imported package nml

